Developer Documentation

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
QtSlideWindow Class Reference

`#include <OpenFlipper/widgets/glWidget/QtSlideWindow.hh>`

Inheritance diagram for QtSlideWindow:

## Public Member Functions
| QtSlideWindow (QString _name=0, QGraphicsItem *_parent=0)
void | updateGeometry ()
| recalculate geometry
void | attachWidget (QWidget *_m)
| attach a child widget
void | detachWidget ()
| detach child widget
void | saveState (QSettings &_settings)
| saves the current state
void | restoreState (QSettings &_settings)
| restores the state
void | updateParentGeometry ()
| Call this to correctly set start and ending positions.

## Private Slots
void | detachPressed ()
| detach button pressed
void | dialogClosed ()
| detached dialog closed
void | autohidePressed ()
| autohide button presed
void | slideUp ()
| Slide widget up.
void | slideDown ()
| Slide widget down.
void | animationFinished ()
| Slot is called whenever the animation is finished.
void | startSlideDownAnimation ()
| Start actual slide down.

## Private Member Functions
virtual void | paintWindowFrame (QPainter *_painter, const QStyleOptionGraphicsItem *_option, QWidget *_widget=0)
| paints decoration
virtual bool | windowFrameEvent (QEvent *_e)
| track frame events
virtual Qt::WindowFrameSection | windowFrameSectionAt (const QPointF &_pos) const
| categorize frame area
virtual void | hoverEnterEvent (QGraphicsSceneHoverEvent *_event)
| hove event tracking
virtual void | hoverLeaveEvent (QGraphicsSceneHoverEvent *_event)
virtual void | resizeEvent (QGraphicsSceneResizeEvent *_event)
| size & position event tracking
virtual void | moveEvent (QGraphicsSceneMoveEvent *_event)

## Private Attributes
QString | name_
| name
QWidget * | mainWidget_
| child widget
QtGraphicsButton * | autohideButton_
| buttons
QtGraphicsButton * | detachButton_
QDialog * | dialog_
| detached dialog
QPointF | startP_
| Starting position (for animation)
QPointF | endP_
| Ending position (for animation)
bool | down_
| Track if widget is at bottom position.
QPropertyAnimation * | animation_
| Animation object.
bool | animating_
| Is widget animating in this moment?
QTimer * | timer_
| Wait some milliseconds before sliding widget down.
const int | fontHeight_
| height of the default font

## Detailed Description

A graphics scene widget that has a hover slide effect and detach functionality for a child widget

Definition at line 77 of file QtSlideWindow.hh.

## Constructor & Destructor Documentation

## ◆ QtSlideWindow()

QtSlideWindow::QtSlideWindow | ( | QString | _name = `0`,
|  | QGraphicsItem * | _parent = `0`
| ) |  |

Create a glViewer.

Parameters

  _name | displayed titlebar name
  _parent | parent graphics item

Definition at line 75 of file QtSlideWindow.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/glWidget/QtSlideWindow.hh
- OpenFlipper/widgets/glWidget/QtSlideWindow.cc